.my-custom-popup-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 99998;
}

.my-custom-popup {
    display: none;
    z-index: 99999;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); /* Center the popup */
    width: 576px;
    height: 324px;
    padding: 20px;
    padding: 0;
}

.show-popup {
    display: block !important;
}

.my-custom-popup__content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.my-custom-popup__table-container {
    width: 100%;
}

.my-custom-popup__table-row {
    width: 100%;
}

.my-custom-popup-button {
    position: absolute;
    bottom: 10px;
    left: 10px;
    padding: 10px;
    color: #fff;
    border: none;
    border-radius: 5px;
    text-decoration: none;
    cursor: pointer;
    border-bottom: none !important;
}

.img-pop-up {
    width: -webkit-fill-available;
}

@media (max-width: 605px) {
    .my-custom-popup {
        width: unset !important;
        height: unset !important;
    }

    .img-pop-up {
        width: 400px !important;
    }
}

@media (max-width: 450px) {
    .img-pop-up {
        width: 300px !important;
    }
}
